﻿using Infragistics.Win.UltraWinEditors;
using Infragistics.Win.UltraWinToolbars;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace FileMenu_ToolValidation
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            PopupMenuTool p = ultraToolbarsManager1.Tools["PopupMenuTool6"] as PopupMenuTool;
            if (p != null)
            {
                p.ToolClick += ultraToolbarsManager1_ToolClick;
            }
        }

        private void ultraToolbarsManager1_ToolClick(object sender, Infragistics.Win.UltraWinToolbars.ToolClickEventArgs e)
        {
            if (!Validate())
            {
                MessageBox.Show("Not valid!");
                return;
            }

            switch (e.Tool.Key)
            {
                case "ButtonTool1":

                    break;

                case "TextBoxTool1":

                    break;
            }
        }

        private void ultraTextEditor1_Validating(object sender, CancelEventArgs e)
        {
            int result;
            if (!int.TryParse(ultraTextEditor1.Text, out result))
            {
                e.Cancel = true;
                Debug.WriteLine("ERROR ribbon text editor validating...");
            }
            else
            {
                Debug.WriteLine("ribbon text editor validating SUCCESS...");
            }
        }

        private void ultraTextEditor2_Validating(object sender, CancelEventArgs e)
        {
            int result;
            if (!int.TryParse(ultraTextEditor2.Text, out result))
            {
                e.Cancel = true;
                Debug.WriteLine("ERROR fileMenu text editor validating...");
            }
            else
            {
                Debug.WriteLine("fileMenu text editor validating SUCCESS...");
            }
        }

        private void ultraToolbarsManager1_BeforeApplicationMenu2010Displayed(object sender, BeforeApplicationMenu2010DisplayedEventArgs e)
        {
            if (!Validate())
            {
                MessageBox.Show("Not valid!");
                e.Cancel = true;
            }
        }
    }
}
